Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyPackageDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyPackageDoc

All Implemented Interfaces:
  GroovyPackageDoc

    class SimpleGroovyPackageDoc
    extends SimpleGroovyDoc

Field Summary
`Map` | `classDocs`

Constructor Summary
`SimpleGroovyPackageDoc(String name)`

Method Summary
`GroovyClassDoc[]` | `allClasses()`
`GroovyClassDoc[]` | `allClasses(boolean arg0)`
`String` | `description()`
`GroovyClassDoc[]` | `enums()`
`GroovyClassDoc[]` | `errors()`
`GroovyClassDoc[]` | `exceptions()`
`GroovyClassDoc` | `findClass(String arg0)`
`String` | `getRelativeRootPath()`
`GroovyClassDoc[]` | `interfaces()`
`String` | `nameWithDots()`
`GroovyClassDoc[]` | `ordinaryClasses()`
`void` | `putAll(Map classes)`
`void` | `setDescription(String description)`
`void` | `setSummary(String summary)`
`String` | `summary()`

Methods inherited from class SimpleGroovyDoc
calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setTokenType, tags, toString, tokenType

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### classDocs

    final Map classDocs

Constructor Detail

### SimpleGroovyPackageDoc

    public SimpleGroovyPackageDoc(String name)

Method Detail

### allClasses

    public GroovyClassDoc[] allClasses()

### allClasses

    public GroovyClassDoc[] allClasses(boolean arg0)

### description

    public String description()

### enums

    public GroovyClassDoc[] enums()

### errors

    public GroovyClassDoc[] errors()

### exceptions

    public GroovyClassDoc[] exceptions()

### findClass

    public GroovyClassDoc findClass(String arg0)

### getRelativeRootPath

    public String getRelativeRootPath()

### interfaces

    public GroovyClassDoc[] interfaces()

### nameWithDots

    public String nameWithDots()

### ordinaryClasses

    public GroovyClassDoc[] ordinaryClasses()

### putAll

    public void putAll(Map classes)

### setDescription

    public void setDescription(String description)

### setSummary

    public void setSummary(String summary)

### summary

    public String summary()

Copyright © 2003-2009 The Codehaus. All rights reserved.